#ifndef __ARCHER_H__
#define __ARCHER_H__

#include "fighter.h"

class archer : public fighter {
    private:
        int original_speed;
    public:
        archer(string, int, int, int, int);

        string get_type() { return "A"; };

        int getDamage();
        void reset();
        bool useAbility();

        int get_original_speed();
};

#endif
